<?php
function afficher_pertinence($id_pertinence){
global $bdd;
//On slctionne les donnes de la pertinence
	try{
	$selection=$bdd->prepare("SELECT id_pertinence, pertinence, nbre_votes, dernier_vote FROM pds_pertinence WHERE id_pertinence=:id_pertinence LIMIT 1");
	$selection->bindParam(':id_pertinence', $id_pertinence, PDO::PARAM_INT);
	$selection->execute();
	$lignes=$selection->fetch(PDO::FETCH_OBJ);
	//On regarde quelle est la note afin de l'afficher avec la bonne couleur
		if ($lignes->pertinence<0){
		//Note infrieure  zro, on l'afiche en rouge
		$pertinence='<span id="negatif">(-'.$lignes->pertinence.')</span>';
		}
		else if ($lignes->pertinence>0){
		//Note suprieure  zro, on l'affiche en vert
		$pertinence='<span id="positif">(+'.$lignes->pertinence.')</span>';
		}
		else{
		//Note gale  zro, on ne change pas la couleur
		$pertinence='<span id="neutre">('.$lignes->pertinence.')</span>';
		}
		
	//On regarde si le visiteur peut voter plusieurs fois
		if (VOTES_MULTIPLES==="oui"){
		//Le vote multiple tant autoris, on affiche directement le module
		?>
		<span id="afficher_pertinence_<?php echo $id_pertinence; ?>">
	  	<a href="#" onclick="ajouter_pertinence('<?php echo $id_pertinence; ?>','plus'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Cliquez ici pour voter positif!"/></a>
	  	<a href="#" onclick="ajouter_pertinence('<?php echo $id_pertinence; ?>','moins'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" 	alt="Cliquez ici pour voter ngatif"/></a> 
	  	<?php echo $pertinence;
	  	//On regarde si on affiche le nombre de votes
	  		if (AFFICHER_NBRE_VOTES==="oui"){
	  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
	  		}
	  	?>	  	
	  	</span>
		<?php
		}
		else{
		//Le vote multiple n'est pas permis, on vrifie si cette IP/Port a dj vot
			try{
			$ip=IP;
			$verif_vote=$bdd->prepare("SELECT count(id_votant) AS total FROM pds_pertinence_votants WHERE ip=:ip AND id_pertinence=:id_pertinence");
			$verif_vote->bindParam(':ip', $ip, PDO::PARAM_STR);
			$verif_vote->bindParam(':id_pertinence', $id_pertinence, PDO::PARAM_INT); 
			$verif_vote->execute();
			$lignes_verif_vote=$verif_vote->fetch(PDO::FETCH_OBJ);
				if (($lignes_verif_vote->total>0) || (isset ($_SESSION['deja_vote_pertinence_'.$id_pertinence])) || (isset ($_COOKIE['deja_vote_pertinence_'.$id_pertinence]))){
				//Le visiteur a dj vot, on affiche simplement les rsultats
				?>
				<span id="afficher_pertinence_<?php echo $id_pertinence; ?>">
		  		<img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Vous avez dj vot!" title="Vous avez dj vot"/> <img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" alt="Vous avez dj vot!" title="Vous avez dj vot" /> 
		  		<?php echo $pertinence; 
		  		//On regarde si on affiche le nombre de votes
			  		if (AFFICHER_NBRE_VOTES==="oui"){
			  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
			  		}
		  		?> 
		  		</span>
				<?php
				}
				else{
				//Le visiteur n'a pas vot
				?>
				<span id="afficher_pertinence_<?php echo $id_pertinence; ?>">
		  		<a href="#" onclick="ajouter_pertinence('<?php echo $id_pertinence; ?>','plus'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Cliquez ici pour voter positif!" title="Cliquez ici pour voter"/></a> 
		  		<a href="#" onclick="ajouter_pertinence('<?php echo $id_pertinence; ?>','moins'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" alt="Cliquez ici pour voter ngatif" title="Cliquez ici pour voter" /></a> 
		  		<?php echo $pertinence; 
		  		//On regarde si on affiche le nombre de votes
			  		if (AFFICHER_NBRE_VOTES==="oui"){
			  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
			  		}
		  		?>
		  		</span>
				<?php
				}
			}
			catch (Exception $e){
			//La vrification n'a pas march, on affiche par defaut les images expliquant que le visiteur a dj vot
			?>
			<span id="afficher_pertinence_<?php echo $id_pertinence; ?>">
		  	<img src="<?php echo URL_SCRIPT; ?>.<?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Vous avez dj vot!" title="Vous avez dj vot"/> <img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" alt="Vous avez dj vot!" title="Vous avez dj vot" /> 
		  	<?php echo $pertinence; 
		  	//On regarde si on affiche le nombre de votes
		  		if (AFFICHER_NBRE_VOTES==="oui"){
		  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
		  		}
		  	?> 
		  	</span>
			<?php
			}
		}
	}
	catch (Exception $e){
	echo 'Erreur';
	}
}
?>
