<?php
//Pas de cache possible pour la rponse
header("Cache-Control: no-cache");
header("Pragma: nocache");
header('Content-Type: text/html; charset=ISO-8859-1'); 
require_once("config.php");

//On vrifie que les donnes pertinence et id_pertinence sont bonnes
	if (!isset ($_POST['id_pertinence']) || !isset ($_POST['pertinence']) || ($_POST['pertinence']!=="plus" && $_POST['pertinence']!=="moins")){
	echo '<span style="color:#ff0000; font-weight:bold">Erreur</span>';
	}
	else{
	$date=date("d/m/Y");
	//C'est bon, on regarde quelle est la pertinence choisie
		if ($_POST['pertinence']==="plus"){
		//Pertinence positive, on rajoute +1
			try{
			$positif=$bdd->prepare("UPDATE pds_pertinence SET pertinence=pertinence+1, nbre_votes=nbre_votes+1, dernier_vote=:date where id_pertinence=:id_pertinence");
			$positif->bindParam(':date', $date, PDO::PARAM_STR);
			$positif->bindParam(':id_pertinence', $_POST['id_pertinence'], PDO::PARAM_INT);
			$positif->execute();
			}
			catch (Exception $e){
			//Erreur, mais on affiche rien, on raffiche simplement ci dessous la pertinence
			}
		}
		else if ($_POST['pertinence']==="moins"){
		//Pertinence ngative, on supprime 1
			try{
			$negatif=$bdd->prepare("UPDATE pds_pertinence SET pertinence=pertinence-1, nbre_votes=nbre_votes+1, dernier_vote=:date where id_pertinence=:id_pertinence");
			$negatif->bindParam(':date', $date, PDO::PARAM_STR);
			$negatif->bindParam(':id_pertinence', $_POST['id_pertinence'], PDO::PARAM_INT);
			$negatif->execute();
			}
			catch (Exception $e){
			//Erreur, mais on affiche rien, on raffiche simplement ci dessous la pertinence
			}
		}
		
	//On raffiche les donnes
		try{
		$selection=$bdd->prepare("SELECT id_pertinence, titre_pertinence, pertinence, nbre_votes, dernier_vote FROM pds_pertinence WHERE id_pertinence=:id_pertinence LIMIT 1");
		$selection->bindParam(':id_pertinence', $_POST['id_pertinence'], PDO::PARAM_INT);
		$selection->execute();
		$lignes=$selection->fetch(PDO::FETCH_OBJ);
		//On regarde si le webmaster souhaite tre averti d'un vote sur une pertinence
			if (RECEVOIR_NOTIFICATION==="oui"){
			//On envoi un email
			$date=date("d/m/Y");
			$heure=date("H:i");
			$Destinataire = EMAIL_WEBMASTER;
		  	$Sujet = "Nouveau vote sur votre pertinence ".$lignes->titre_pertinence."";
			$From  = "From:".EMAIL_WEBMASTER."\n";
		  	$From .= "MIME-version: 1.0\n";
		  	$From .= "Content-type: text/html; charset= iso-8859-1\n";
   		  	$Message="Bonjour<br /><br />Un nouveau vote a t effectu le ".$date."  ".$heure." sur votre pertinence ".$lignes->titre_pertinence.".<br /><br />Merci, le webmaster de plusdescripts.fr";
			mail($Destinataire,$Sujet , $Message, $From); 
			}
		
		//On regarde quelle est la note afin de l'afficher avec la bonne couleur
			if ($lignes->pertinence<0){
			//Note infrieure  zro, on l'afiche en rouge
			$pertinence='<span id="negatif">(-'.$lignes->pertinence.')</span>';
			}
			else if ($lignes->pertinence>0){
			//Note suprieure  zro, on l'affiche en vert
			$pertinence='<span id="positif">(+'.$lignes->pertinence.')</span>';
			}
			else{
			//Note gale  zro, on ne change pas la couleur
			$pertinence='<span id="neutre">('.$lignes->pertinence.')</span>';
			}
		
		//On regarde si le vote multiple est autoris
			if (VOTES_MULTIPLES==="oui"){
			//Le vote multiple tant autoris, on affiche directement le module
			?>
			<link rel="stylesheet" media="screen" type="text/css" href="<?php echo URL_SCRIPT; ?>/gestion_pds/style_pds_pertinence.css" />
    		<script type="text/javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/javascript.js"></script>
    		<a href="#" onclick="ajouter_pertinence('<?php echo $_POST['id_pertinence']; ?>','plus'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Cliquez ici pour voter positif!"/></a>
		  	<a href="#" onclick="ajouter_pertinence('<?php echo $_POST['id_pertinence']; ?>','moins'); return false;" title="Cliquez ici" id="afficher_pertinence"><img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" 	alt="Cliquez ici pour voter ngatif"/></a> 
		  	<?php echo $pertinence;
		  	//On regarde si on affiche le nombre de votes
		  		if (AFFICHER_NBRE_VOTES==="oui"){
		  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
		  		}
		  	}
			else{
			//Le vote multiple n'est pas autoris, on rajoute les donnes dans la table pds-pertinence-votants et on raffiche la pertinence
				try{
				$ip=IP;
				$insertion=$bdd->prepare("INSERT INTO pds_pertinence_votants (id_pertinence, ip)  VALUES (:id_pertinence,:ip)");
				$insertion->bindParam(':id_pertinence', $_POST['id_pertinence'], PDO::PARAM_INT);
				$insertion->bindParam(':ip', $ip, PDO::PARAM_STR);
				$insertion->execute();
				//Enregistrement de la session
				$_SESSION['deja_vote_pertinence_'.$lignes->id_pertinence]="oui";
				//Enregistrement du cookie
				setcookie('deja_vote_pertinence_'.$lignes->id_pertinence,'oui');
				?>
				<link rel="stylesheet" media="screen" type="text/css" href="<?php echo URL_SCRIPT; ?>/gestion_pds/style_pds_pertinence.css" />
    			<script type="text/javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/javascript.js"></script>
    			<img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/plus.png" alt="Vous avez dj vot!" title="Vous avez dj vot"/> <img src="<?php echo URL_SCRIPT; ?><?php echo REPERTOIRE_IMAGES; ?>/moins.png" alt="Vous avez dj vot!" title="Vous avez dj vot" /> 
		  		<?php echo $pertinence; 
		  		//On regarde si on affiche le nombre de votes
			  		if (AFFICHER_NBRE_VOTES==="oui"){
			  		echo ' <span id="nbre_votes">/ '.$lignes->nbre_votes.' votes</span>';
			  		}
				}
				catch (Exception $e){
				//Le vote a t pris en compte, on n'affiche aucune erreur
				}		
			}
		}
		catch (Exception $e){
		echo '<span style="color:#ff0000; font-weight:bold">Erreur '.$e.'</span>';
		}	
	}
?>

